HYDRASDR_R82X(1)

NAME
hydrasdr_r82x - display, configure, and write r82x hardware registers.

DESCRIPTION
Use the 32 r82x registers.

OPTIONS

-n, --register <n>: set register <n>[0,31] for subsequent read/write operations

-r, --read: read register specified by last -n argument, or all registers

-w, --write <v>: write register specified by last -n argument with value <v>[0,255]

-c, --config: configure registers to r82x default mode for test

-s [serial_number_64bits]: Open board with specified 64bits serial number.

EXAMPLES

hydrasdr_r82x -n 12 -r
    # reads from register 12

hydrasdr_r82x -r
    # reads all registers

hydrasdr_r82x -n 10 -w 22
    # writes register 10 with 22 decimal

AUTHORS
 HydraSDR RFOne
 was primarily written by Benjamin VERNOUX.

SEE ALSO
Package documentation in /usr/share/doc/hydrasdr-tools/ For more information visit https://www.hydrasdr.com